import hydra
from omegaconf import DictConfig

from trainer import build_model_trainer

@hydra.main(config_path="./configs")
def main(cfg: DictConfig):
    model_trainer = build_model_trainer(cfg)
    model_trainer.train()


if __name__ == "__main__":
    main()
